%define nopermfs_gid  32
Name:          postplug
Version:       1.5.2
Release:       1mamba
Summary:       Pluggable boot-time configuration tool
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://src.openmamba.org/openmamba/postplug
Source:        https://src.openmamba.org/openmamba/postplug.git/v%{version}/postplug-%{version}.tar.bz2
Source1:       smart-96-unlock-workaround.py
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: gettext
BuildRequires: libsystemd-devel
Requires:      coreutils
#Requires:      dhcp-server
Requires:      libblkid
Requires:      pciutils
Requires:      setserial
Requires:      util-linux
%ifarch %{ix86} x86_64
Requires:      dmidecode
Requires:      read-edid
%endif
Requires(post): systemd-core
%systemd_requires
Obsoletes:     %{name}-distrolive < 1.5.0
Provides:      %{name}-distrolive

%description
This is the pluggable boot-time configuration tool.
The main task of this tool is to configure the system for the hardware that as been detected by hotplug, for the X server and other settings such as timezone ecc.
Postplug is run after system installation to complete the configuration and is run on every boot in order to check that everything is still well configured.

%package xorg
Summary:       Xorg configuration plugin for %{name}
Group:         System/Tools
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      xorg-ext-libglx >= 1.15.2-6mamba
Requires:      libGL-Mesa-dri >= 10.3.4-2mamba

%description xorg
Postplug is the pluggable boot-time configuration tool.
The main task of this tool is to configure the system for the hardware that as been detected by hotplug, for the X server and other settings such as timezone ecc.
Postplug is run after system installation to complete the configuration and is run on every boot in order to check that everything is still well configured.

This package provides an Xorg configuration plugin for %{name}.

%package sound
Summary:       Sound configuration plugin for %{name}
Group:         System/Tools
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      alsa-utils

%description sound
Postplug is the pluggable boot-time configuration tool.
The main task of this tool is to configure the system for the hardware that as been detected by hotplug, for the X server and other settings such as timezone ecc.
Postplug is run after system installation to complete the configuration and is run on every boot in order to check that everything is still well configured.

This package provides a sound configuration plugin for %{name}.

%prep
%setup -q

%build
%make \
   libdir=%{_libdir}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
   libdir=%{_libdir}

# remove unpackaged files
rm -f %{buildroot}/%{_sysconfdir}/%{name}/%{name}.d/loadconf
rm -f %{buildroot}/%{_sysconfdir}/%{name}/%{name}.d/modem
rm -f %{buildroot}/%{_sysconfdir}/%{name}/%{name}.d/livecd
rm -f %{buildroot}/%{_sysconfdir}/%{name}/rc%{name}.d/12loadconf
rm -f %{buildroot}/%{_sysconfdir}/%{name}/rc%{name}.d/40modem
rm -f %{buildroot}/%{_sysconfdir}/%{name}/rc%{name}.d/91livecd

%ifnarch %{ix86} x86_64
rm -f %{buildroot}/%{_sysconfdir}/%{name}/%{name}.d/machine
rm -f %{buildroot}/%{_sysconfdir}/%{name}/%{name}.d/processor
rm -f %{buildroot}/%{_sysconfdir}/%{name}/rc%{name}.d/05machine
rm -f %{buildroot}/%{_sysconfdir}/%{name}/rc%{name}.d/07processor
%endif

# smart workaround
install -D -m0755 %{SOURCE1} %{buildroot}%{_sysconfdir}/smart/distro.d/96-unlock-workaround.py

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%pre
# fix conf file as required by module-init-tools >= 3.10
[ -e /etc/modprobe.conf.d -a -e /etc/modprobe.conf.d/sound -a -d /etc/modprobe.d/ ] &&
   mv /etc/modprobe.conf.d/sound /etc/modprobe.d/sound.conf
/usr/sbin/groupadd nopermfs -g %{nopermfs_gid} 2>/dev/null
exit 0

%post
# remove obsolete lp modprobe line in modprobe.conf
[ -e /etc/modprobe.conf ] && sed -i "/parport_pc/d" /etc/modprobe.conf
if [ $1 -ge 1 ]; then
   systemctl enable postplug.service -q
fi

# first time execution marker
if [ $1 -eq 1 ]; then
   touch /var/lib/postplug/firsttime
fi

exit 0

%preun
if [ $1 -eq 0 ]; then
   systemctl disable postplug.service -q
fi
exit 0

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/smart/distro.d/96-unlock-workaround.py
%{_sysconfdir}/logrotate.d/%{name}
%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/%{name}.defs
%dir %{_sysconfdir}/%{name}/%{name}.d
%{_sysconfdir}/%{name}/%{name}.d/console
%{_sysconfdir}/%{name}/%{name}.d/filesystems
%{_sysconfdir}/%{name}/%{name}.d/localtime
%ifarch %{ix86} x86_64
%{_sysconfdir}/%{name}/%{name}.d/machine
%{_sysconfdir}/%{name}/%{name}.d/processor
%endif
%{_sysconfdir}/%{name}/%{name}.d/network
%{_sysconfdir}/%{name}/%{name}.d/updates
%dir %{_sysconfdir}/%{name}/rc%{name}.d
%ifarch %{ix86} x86_64
%{_sysconfdir}/%{name}/rc%{name}.d/05machine
%{_sysconfdir}/%{name}/rc%{name}.d/07processor
%endif
%{_sysconfdir}/%{name}/rc%{name}.d/10filesystems
%{_sysconfdir}/%{name}/rc%{name}.d/15localtime
%{_sysconfdir}/%{name}/rc%{name}.d/20network
%{_sysconfdir}/%{name}/rc%{name}.d/45updates
%{_sysconfdir}/%{name}/rc%{name}.d/50console
%dir %{_sysconfdir}/%{name}/updates.d
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_bindir}/%{name}
%{_bindir}/nvidia-autoselect-driver
%{_unitdir}/postplug.service
%{_prefix}/lib/udev/android_usb
%{_udevrulesdir}/76-android_usb.rules
%dir %{_localstatedir}/lib/%{name}/new
%doc COPYING

%files sound
%defattr(-,root,root)
%{_sysconfdir}/%{name}/%{name}.d/sound
%{_sysconfdir}/%{name}/rc%{name}.d/35sound

%files xorg
%defattr(-,root,root)
%{_sysconfdir}/%{name}/%{name}.d/xorg
%{_sysconfdir}/%{name}/rc%{name}.d/30xorg

%changelog
* Tue Mar 19 2024 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- update to 1.5.2

* Wed Mar 22 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.1-1mamba
- update to 1.5.1

* Sat Jul 17 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.0-2mamba
- require /usr/sbin/blkid instead of /sbin/blkid

* Sun Apr 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.0-1mamba
- update to 1.5.0

* Sun Dec 20 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.2-1mamba
- update to 1.4.2
- dropped requirement for ncurses-dialog

* Sat Oct 12 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.1-1mamba
- update to 1.4.1

* Wed Dec 20 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-1mamba
- update to 1.4.0

* Sat Nov 12 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.11-2mamba
- remove obsolete rcsysinit.d symlink

* Mon Nov 07 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.11-1mamba
- update to 1.3.11

* Sun Aug 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.10-1mamba
- update to 1.3.10

* Sat May 23 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.9-1mamba
- update to 1.3.9

* Thu Mar 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.8-1mamba
- update to 1.3.8

* Sun Feb 08 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.7-1mamba
- update to 1.3.7

* Sat Jan 17 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.6-1mamba
- update to 1.3.6

* Wed Dec 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.5-1mamba
- update to 1.3.5

* Sat Dec 06 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.4-1mamba
- update to 1.3.4

* Thu Dec 04 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.3-1mamba
- update to 1.3.3
- xorg: require recent versions of xorg-ext-libglx and libGL-Mesa-dri after moving here update-alternatives-set-dri

* Fri Oct 03 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.2-1mamba
- update to 1.3.2

* Fri Oct 03 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.1-1mamba
- update to 1.3.1

* Fri Aug 08 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.0-1mamba
- update to 1.3.0

* Sun Jun 29 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.98-1mamba
- update to 1.2.98

* Thu Jun 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.97-1mamba
- update to 1.2.97

* Mon Apr 21 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.96-1mamba
- update to 1.2.96

* Tue Nov 19 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.95-1mamba
- update to 1.2.95

* Tue Oct 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.94.1-1mamba
- update to 1.2.94.1

* Sun Sep 29 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.94-1mamba
- update to 1.2.94
- arm: don't package BIOS/ACPI based machine and processor plugins and slmodem modem plugin

* Thu Sep 19 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.93-1mamba
- update to 1.2.93

* Wed Sep 18 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.92-1mamba
- update to 1.2.92

* Wed Jul 31 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.91-1mamba
- update to 1.2.91
- require dhcp-server now required by network module for CDC and RNDIS autoconfiguration

* Fri Apr 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.90-1mamba
- update to 1.2.90
- systemd support in scripts: enable service on upgrade

* Fri Mar 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.21-1mamba
- update to 1.2.21

* Sun Sep 02 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.20-1mamba
- update to 1.2.20

* Mon Jul 30 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.19-1mamba
- update to 1.2.19

* Tue Jul 24 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.18.1-1mamba
- update to 1.2.18.1

* Mon Jul 16 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.18-1mamba
- update to 1.2.18

* Wed Jul 11 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.17-1mamba
- update to 1.2.17

* Tue Jun 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.16-1mamba
- update to 1.2.16

* Wed Jun 06 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.15-1mamba
- update to 1.2.15

* Fri Mar 02 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.14-1mamba
- update to 1.2.14

* Fri Feb 17 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.13-1mamba
- update to 1.2.13

* Sat Jan 07 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.12-1mamba
- update to 1.2.12
- removed requirement for udisks

* Fri Nov 18 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.11-2mamba
- added requirement for udisks

* Mon Nov 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.11-1mamba
- update to 1.2.11
- sound: remove build of obsoleted soundcards db

* Mon Oct 03 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.10-1mamba
- update to 1.2.10

* Sun Oct 02 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.9-1mamba
- update to 1.2.9

* Sun Aug 21 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.8-1mamba
- update to 1.2.8

* Sun Aug 14 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.7-1mamba
- update to 1.2.7

* Sun Aug 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.6-1mamba
- update to 1.2.6

* Sun Jul 10 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.5-1mamba
- update to 1.2.5

* Wed Apr 27 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.4-1mamba
- update to 1.2.4

* Wed Mar 23 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.3-2mamba
- added smart unlock workaround to fix smart locked packages (nothing to do with postplug)

* Sat Mar 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.3-1mamba
- update to 1.2.3

* Mon Mar 14 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.2-1mamba
- update to 1.2.2

* Tue Mar 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-1mamba
- update to 1.2.1

* Tue Mar 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2-2mamba
- disable updates.d script on first install to speed up new and live systems startup

* Sat Nov 06 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2-1mamba
- update to 1.2

* Sat Oct 23 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.22-1mamba
- update to 1.1.22

* Tue Oct 05 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.21-1mamba
- update to 1.1.21

* Fri Sep 17 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.20-1mamba
- update to 1.1.20

* Tue Sep 14 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.19-1mamba
- update to 1.1.19

* Thu Aug 26 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.18-1mamba
- update to 1.1.18

* Fri Aug 06 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.17-1mamba
- update to 1.1.17

* Thu Jul 29 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.16-1mamba
- update to 1.1.16

* Mon Jul 05 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.15-1mamba
- update to 1.1.15

* Sun Jun 27 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.14-1mamba
- update to 1.1.14

* Sat Jun 26 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.13-1mamba
- update to 1.1.13

* Wed May 26 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.12-1mamba
- update to 1.1.12

* Thu Feb 25 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.11-1mamba
- update to 1.1.11

* Sat Feb 06 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.10-1mamba
- update to 1.1.10

* Fri Jan 29 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.9-1mamba
- update to 1.1.9

* Thu Dec 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.8-2mamba
- added requirement for /sbin/blkid

* Sat Nov 28 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.8-1mamba
- update to 1.1.8

* Thu Oct 29 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.7-1mamba
- update to 1.1.7

* Mon Aug 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.6-2mamba
- pre script: fix check for /etc/modprobe.conf.d existence

* Sun Aug 09 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.6-1mamba
- update to 1.1.6

* Mon Aug 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.5-1mamba
- update to 1.1.5

* Mon Jul 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.4-1mamba
- update to 1.1.4

* Sat Jul 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.3-1mamba
- update to 1.1.3

* Mon Jun 29 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.2-1mamba
- update to 1.1.2

* Wed Jun 24 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-1mamba
- update to 1.1.1

* Thu Jun 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-1mamba
- update to 1.1.0

* Thu May 28 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.30-1mamba
- update to 1.0.30

* Tue May 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.29-1mamba
- update to 1.0.29
- added requirement for libblkid

* Wed Apr 01 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.28-1mamba
- update to 1.0.28

* Tue Mar 31 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.27-1mamba
- update to 1.0.27

* Wed Feb 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.26-1mamba
- update to 1.0.26

* Tue Feb 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.25-1mamba
- update to 1.0.25

* Mon Feb 09 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.24-1mamba
- update to 1.0.24

* Sat Feb 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.23-1mamba
- update to 1.0.23

* Tue Feb 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.22-1mamba
- update to 1.0.22

* Sun Jan 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.21-1mamba
- update to 1.0.21

* Tue Jan 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.20-1mamba
- update to 1.0.20

* Sat Jan 17 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.19-1mamba
- update to 1.0.19

* Thu Jan 15 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.18-1mamba
- update to 1.0.18

* Mon Jan 12 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.17-1mamba
- update to 1.0.17

* Sat Jan 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.16-1mamba
- update to 1.0.16

* Wed Jan 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.15-1mamba
- update to 1.0.15

* Tue Dec 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.14-1mamba
- update to 1.0.14

* Fri Dec 12 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.13-1mamba
- update to 1.0.13

* Thu Dec 11 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.12-1mamba
- update to 1.0.12

* Fri Dec 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.11-1mamba
- update to 1.0.11

* Tue Apr 15 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.10-1mamba
- update to 1.0.10

* Wed Apr 09 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.9-1mamba
- update to 1.0.9

* Wed Mar 12 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.8-1mamba
- update to 1.0.8
- obsolete and don't create anymore the subpackage distrolive

* Sun Mar 09 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.7-1mamba
- update to 1.0.7

* Wed Mar 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.6-2mamba
- added requirement for dmidecode

* Wed Mar 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.6-1mamba
- update to 1.0.6

* Mon Feb 18 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.5-1mamba
- update to 1.0.5

* Fri Feb 01 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-1mamba
- update to 1.0.4

* Fri Feb 01 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3-1mamba
- update to 1.0.3

* Wed Jan 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-1mamba
- update to 1.0.2
- added requirement for read-edid (module video)

* Fri Jan 18 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-1mamba
- update to 1.0.1

* Thu Dec 27 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1mamba
- update to 1.0

* Mon Dec 03 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.20-1mamba
- update to 0.4.20

* Sun Nov 25 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.19-1mamba
- update to 0.4.19
- create nopermfs group (gid=32) for FAT and NTFS write permissisons

* Sat Nov 17 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.18-1mamba
- update to 0.4.18

* Sat Nov 03 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.17-1mamba
- update to 0.4.17

* Tue Oct 30 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.16-1mamba
- update to 0.4.16

* Fri Oct 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.15-1mamba
- update to 0.4.15

* Fri Oct 19 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.14-1mamba
- update to 0.4.14

* Thu Oct 04 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.13-1mamba
- update to 0.4.13
- removed requirement from ifrename

* Tue Oct 02 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.12-1mamba
- update to 0.4.12

* Thu Sep 27 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.11-1mamba
- update to 0.4.11

* Tue Sep 25 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.10-1mamba
- update to 0.4.10

* Tue Sep 25 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.9-1mamba
- update to 0.4.9

* Wed Sep 19 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.8-1mamba
- update to 0.4.8

* Wed Sep 12 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.7-1mamba
- update to 0.4.7

* Tue Sep 11 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.6-2mamba
- remove obsolete devfs depending %%post code
- run postplug sound to build CARDID_DB if missing on install

* Mon Sep 10 2007 Aleph0 <aleph0@openmamba.org> 0.4.6-1mamba
- update to 0.4.6

* Fri Sep 07 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.5-1mamba
- update to 0.4.5

* Sun Sep 02 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.4-1mamba
- update to 0.4.4

* Fri Aug 31 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.3-1mamba
- update to 0.4.3

* Thu Aug 16 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.2-1mamba
- update to 0.4.2

* Sat Aug 11 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.1-2mamba
- postplug-sound: added requirement for alsa-utils

* Thu Aug 02 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.1-1mamba
- update to 0.4.1

* Thu Aug 02 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.0-1mamba
- update to 0.4.0

* Tue Jun 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.37-1mamba
- update to 0.3.37

* Sat Jun 09 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.36-1mamba
- update to 0.3.36

* Tue May 29 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.35-1mamba
- update to 0.3.35

* Mon May 28 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.3.34-1mamba
- update to 0.3.34

* Sun May 27 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.33-1mamba
- update to 0.3.33
- don't replace sysconfig configuration file with defaults

* Fri May 25 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.32-1mamba
- update to 0.3.32

* Mon May 21 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.3.31-1mamba
- update to 0.3.31

* Tue Apr 03 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.30-1mamba
- update to version 0.3.30 by autospec

* Wed Mar 21 2007 Aleph0 <aleph0@openmamba.org> 0.3.29-1qilnx
- update to version 0.3.29 by autospec

* Fri Feb 16 2007 Aleph0 <aleph0@openmamba.org> 0.3.28-1qilnx
- update to version 0.3.28 by autospec

* Wed Feb 14 2007 Aleph0 <aleph0@openmamba.org> 0.3.27-1qilnx
- update to version 0.3.27 by autospec

* Wed Jan 31 2007 Aleph0 <aleph0@openmamba.org> 0.3.26-1qilnx
- update to version 0.3.26 by autospec

* Fri Jan 05 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.25-1qilnx
- update to version 0.3.25 by autospec

* Fri Dec 29 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.24-1qilnx
- update to version 0.3.24 by autospec

* Wed Oct 11 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.3.23-1qilnx
- update to version 0.3.23 by autospec

* Tue Jun 27 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.3.22-1qilnx
- update to version 0.3.22 by autospec

* Wed May 31 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.21-1qilnx
- update to version 0.3.21 by autospec

* Thu Apr 27 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.20-1qilnx
- update to version 0.3.20 by autospec

* Mon Apr 24 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.19-1qilnx
- update to version 0.3.19 by autospec

* Tue Apr 04 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.18-1qilnx
- update to version 0.3.18 by autospec

* Tue Apr 04 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.3.17-1qilnx
- update to version 0.3.17 by autospec

* Mon Apr 03 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.3.16-1qilnx
- update to version 0.3.16 by autospec

* Fri Mar 31 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.15-1qilnx
- update to version 0.3.15 by autospec

* Thu Mar 30 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.3.14-1qilnx
- update to version 0.3.14 by autospec

* Thu Mar 23 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.13-1qilnx
- update to version 0.3.13 by autospec

* Wed Mar 22 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.12-1qilnx
- update to version 0.3.12 by autospec

* Mon Mar 13 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.11-1qilnx
- update to version 0.3.11 by autospec

* Fri Mar 10 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.10-1qilnx
- update to version 0.3.10 by autospec

* Wed Feb 08 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.3.9-1qilnx
- update to version 0.3.9 by autospec

* Wed Jan 25 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.3.8-1qilnx
- update to version 0.3.8 by autospec

* Mon Jan 23 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.3.7-1qilnx
- update to version 0.3.7 by autospec

* Fri Jan 20 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.3.6-1qilnx
- update to version 0.3.6 by autospec

* Mon Nov 14 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.3.5-1qilnx
- update to version 0.3.5 by autospec

* Fri Nov 11 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.3.4-3qilnx
- requires mktemp

* Wed Nov 09 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.3.4-2qilnx
- sound plugin moved to the new package %{name}-sound

* Tue Nov 08 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.4-1qilnx
- update to version 0.3.4 by autospec

* Fri Oct 28 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.3.3-1qilnx
- update to version 0.3.3 by autospec

* Thu Oct 27 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.3.2-1qilnx
- update to version 0.3.2 by autospec

* Wed Oct 26 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.1-1qilnx
- update to version 0.3.1 by autospec

* Wed Oct 26 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.3.0-1qilnx
- update to version 0.3.0 by autospec

* Fri Oct 21 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.35-1qilnx
- update to version 0.2.35 by autospec

* Thu Oct 13 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.34-1qilnx
- update to version 0.2.34 by autospec

* Wed Oct 12 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.33-1qilnx
- update to version 0.2.33 by autospec

* Tue Oct 11 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.32-1qilnx
- update to version 0.2.32 by autospec
- changed architecture to noarch

* Mon Oct 10 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.2.31-1qilnx
- update to version 0.2.31 by autospec

* Fri Aug 12 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.2.30-1qilnx
- update to version 0.2.30 by autospec

* Mon Jul 18 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.29-1qilnx
- update to version 0.2.29 by autospec

* Thu Jul 14 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.28-1qilnx
- update to version 0.2.28 by autospec

* Tue Jul 12 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.27-1qilnx
- update to version 0.2.27 by autospec

* Sun Jul 10 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.26-1qilnx
- update to version 0.2.26 by autospec

* Wed Jun 15 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.2.25-1qilnx
- update to version 0.2.25 by autospec

* Sun May 22 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.2.24-1qilnx
- update to version 0.2.24 by autospec

* Wed May 18 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.2.23-1qilnx
- update to version 0.2.23 by autospec

* Wed Apr 27 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.22-1qilnx
- update to version 0.2.22 by autospec

* Wed Apr 27 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.21-1qilnx
- update to version 0.2.21 by autospec

* Wed Apr 27 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.20-1qilnx
- update to version 0.2.20 by autospec

* Tue Apr 26 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.19-1qilnx
- update to version 0.2.19 by autospec

* Tue Apr 19 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.2.18-1qilnx
- update to version 0.2.18 by autospec

* Tue Apr 19 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.17-1qilnx
- update to version 0.2.17 by autospec

* Mon Apr 18 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.16-1qilnx
- update to version 0.2.16 by autospec

* Tue Apr 05 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.2.15-1qilnx
- update to version 0.2.15 by autospec
- fixed package group

* Mon Apr 04 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.2.14-1qilnx
- update to version 0.2.14 by autospec

* Mon Apr 04 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.13-1qilnx
- update to version 0.2.13 by autospec

* Fri Apr 01 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.12-1qilnx
- update to version 0.2.12 by autospec

* Thu Mar 31 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.11-1qilnx
- update to version 0.2.11 by autospec

* Thu Mar 31 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.10-1qilnx
- update to version 0.2.10 by autospec

* Fri Mar 18 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.9-1qilnx
- update to version 0.2.9 by autospec

* Thu Mar 17 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.8-1qilnx
- update to version 0.2.8 by autospec
- added requirement for ifrename

* Sun Mar 13 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.2.7-1qilnx
- update to version 0.2.7 by autospec

* Tue Mar 08 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.2.6-1qilnx
- update to version 0.2.6 by autospec

* Mon Mar 07 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.5-1qilnx
- update to version 0.2.5 by autospec

* Mon Mar 07 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.2.4-1qilnx
- update to version 0.2.4 by autospec

* Sun Mar 06 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.3-1qilnx
- update to version 0.2.3 by autospec

* Thu Mar 03 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.2-2qilnx
- package rebuilt (a symlink was missing)

* Thu Mar 03 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.2-1qilnx
- new version build

* Wed Mar 02 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.1-1qilnx
- new version build

* Thu Feb 17 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.2.0-1qilnx
- update to version 0.2.0 by autospec

* Tue Feb 15 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.1.21-1qilnx
- update to version 0.1.21

* Tue Feb 15 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.20-qilnx
- new version build

* Mon Feb 14 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.19-1qilnx
- new version build

* Fri Feb 11 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.18-1qilnx
- rebuild with 0.1.18

* Wed Feb 09 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.1.17-1qilnx
- rebuild with 0.1.17

* Wed Feb 02 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.16-1qilnx
- new version build
- execute KDM with nice -15

* Tue Jan 18 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.1.15-1qilnx
- update to version 0.1.15 by autospec
- fixed wrong permissions of `defs'
- specfile updates

* Fri Jan 14 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.1.14-1qilnx
- update to version 0.1.14 by autospec

* Tue Dec 14 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.1.13-3qilnx
- rebuild with 0.1.13

* Tue Dec 14 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.1.12-1qilnx
- rebuild with 0.1.12

* Fri Dec 10 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.1.11-1qilnx
- rebuild with 0.1.11

* Tue Dec 07 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.10-1qilnx
- rebuild with 0.1.10

* Thu Nov 18 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.1.9-1qilnx
- rebuild with 0.1.9

* Fri Nov 12 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.1.8-1qilnx
- rebuild with 0.1.8

* Thu Nov 11 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.1.7-1qilnx
- rebuild with 0.1.7

* Tue Nov 09 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.1.6-1qilnx
- rebuild with 0.1.6
- added documentation (Changelog, COPYING)

* Wed Nov 03 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.1.5-1qilnx
- rebuild with 0.1.5

* Tue Nov 02 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.1.4-1qilnx
- rebuild with 0.1.4

* Wed Oct 27 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.1.3-1qilnx
- rebuild with 0.1.3

* Mon Oct 25 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.1.2-1qilnx
- xorg: (re)create /tmp/.ICE-unix/ with the right permissions at every
  script execution

* Wed Oct 13 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.1-4qilnx
- localtime: create also /etc/timezone, copy /etc/localtime instead of linking

* Mon Sep 20 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.1-3qilnx
- another fix for xorg kbd configuration

* Fri Sep 17 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.1-2qilnx
- fixed xorg keyboard configuration with Xorg 6.8.0

* Wed Aug 25 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.1.1-1qilnx
- code cleanups and fixes in the "locale" and "xorg" plugins
- added color depth selection in the xorg plugin to make possible the
  installation of QiLinux under Microsoft VPC
- fixed the package Makefile (label "tarball")
- specfile restyling by autospec

* Fri Aug 20 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1-11qilnx
- fixed a wrong check for bootsplash presence that showed up and error message

* Fri Aug 20 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1-10qilnx
- include defs file also in /usr/sbin/postplug

* Fri Aug 20 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1-9qilnx
- moved missing logfile var from postplug script to defs

* Tue Aug 17 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1-8qilnx
- fix for internalization support (use LC_ALL!)

* Tue Aug 17 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1-7qilnx
- remove any postplug initscript message
- xorg configuration based on HorizSync reasonable DCC values

* Tue Aug 17 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1-6qilnx
- lots of fixes

* Tue Aug 17 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1-5qilnx
- added X server test
- moved location of postplug files in sysconf dir

* Mon Aug 16 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1-4qilnx
- fixed inclusion of defs file in localtime plugin

* Fri Aug 13 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1-3qilnx
- localtime plugin: remove bootsplash and set it to verbose if enabled

* Wed Aug 11 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1-1qilnx
- first build (moved from the qilinux-utils package)
